#ifndef _ISU_DODGEBALL_GAME_
#define _ISU_DODGEBALL_GAME_

#include <windows.h>
#include "utils.h"
#include "Player.h"
#include "isuCode.h"
#include "ball.h"



class GAME {
public:

	GAME();
	void set(ISUCode *_teamA, ISUCode *_teamB, ISUCode *_teamC, ISUCode *_teamD);
	void startGame();
	void clock();
	void setWalls(char *fileName);
	
	Player *players[4][4];
	vector<Ball> teamBalls[4];
	int score[4];
	unsigned int numBallsLeft[4];

	bool gameOver;
	int highScore;
	vector<Wall> gameWalls;
	ISUCode *teams[4];

private:
	bool start;
	

	

};


#endif