#include <string.h>
#include <stdio.h>
#include "utils.h"

using namespace std;

#include "isuCode.h"


ISUCode::ISUCode(string name) {
	startPos[0].y = 0.0f;
	startPos[1].y = 0.0f;
	startPos[2].y = 0.0f;
	startPos[3].y = 0.0f;

	startPos[0].x = 0.0f;
	startPos[1].x = 40/4.0f;
	startPos[2].x = 20 + 40/4.0f;
	startPos[3].x = 40;

	set[0] = false;
	set[1] = false;
	set[2] = false;
	set[3] = false;

	teamName = name;


}

void ISUCode::newPlayer(unsigned int playerID, char* playerType, char* fileName, unsigned int lineNumber) {
		if(strcmp(playerType,"Attacker")==0) {
			moveVelocity[playerID] = 0.003;
			strength[playerID] = 3;
			throughTime[playerID] = 900;
			holdAngle[playerID] = 20;
			holdPower[playerID] = 2;
		} else {
			if(strcmp(playerType,"Defender")==0) {
				moveVelocity[playerID] = 0.003;
				strength[playerID] = 2;
				throughTime[playerID] = 1800;
				holdAngle[playerID] = 60;
				holdPower[playerID] = 4;
			} else {
				if(strcmp(playerType,"Enforcer")==0) {
					moveVelocity[playerID] = 0.002;
					strength[playerID] = 4;
					throughTime[playerID] = 2100;
					holdAngle[playerID] = 20;
					holdPower[playerID] = 1;
				} else {
					if(strcmp(playerType,"Goalie")==0) {
						moveVelocity[playerID] = 0.002;
						strength[playerID] = 1;
						throughTime[playerID] = 2100;
						holdAngle[playerID] = 90;
						holdPower[playerID] = 3;
					} else {
						if(strcmp(playerType,"Sprinter")==0) {
							moveVelocity[playerID] = 0.005;
							strength[playerID] = 2;
							throughTime[playerID] = 1200;
							holdAngle[playerID] = 20;
							holdPower[playerID] = 2;
						} else {
							if(strcmp(playerType,"Pest")==0) {
								moveVelocity[playerID] = 0.001;
								strength[playerID] = 0;
								throughTime[playerID] = 6000;
								holdAngle[playerID] = 140;
								holdPower[playerID] = 8;
							} else {
								if(strcmp(playerType,"Captain")==0) {
									moveVelocity[playerID] = 0.003;
									strength[playerID] = 3;
									throughTime[playerID] = 1500;
									holdAngle[playerID] = 20;
									holdPower[playerID] = 3;
								} else {
									// Error
									printf("Compiler Error (function Create: no player type of: %s): %s line: %d\n", playerType, fileName, lineNumber);
									myExit(-1);
								}
							}
						}
					}
				}
			}
		}

		set[playerID] = true;

}
