#ifndef _ISU_DODGEBALL_UTILS_
#define _ISU_DODGEBALL_UTILS_

#include <assert.h>
#include <iostream>
#include "glut.h"

using namespace std;

class Ball;
class Player;

#define BACKDIST -RES*(GRID-22)/2
#define ZONEHEIGH RES*(16/2)
#define ZONEWIDTH RES*(40/2)
#define PLAYERWIDTH RES*4
#define PLAYERHEIGHT RES*6
#define BALLRADIUS (RES-1)

#define MAXTHROW 25

#define GRID 100
#define RES 5

void myExit(int exitCode);

class Vector {
public:


	Vector(float _x, float _y) {
		x = _x;
		y = _y;
	}

	Vector() {
		x = 0;
		y = 0;
	}

	Vector operator+ (const Vector& y) const {
		Vector returnValue;

		returnValue.x = this->x + y.x;
		returnValue.y = this->y + y.y;

		return returnValue;

	}


	float &operator[] (const int index) {

		assert(index < 2);

		if(index == 0) {
			return x;
		}
		return y;
	}

	float x;
	float y;

private:

};


struct Wall {
	Vector pt1;
	Vector pt2;
};

#endif